description

# Base64Decoder class Null safety

Decoder for base64 encoded data.

This decoder accepts both base64 and base64url ("url-safe") encodings.

The encoding is required to be properly padded.

Inheritance
  - Object
  - StreamTransformerBase<String, List<int>>
  - Converter<String, List<int>>
  - Base64Decoder

## Constructors

Base64Decoder()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<String> stream) → Stream<List<int>>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
convert(String input, [int start = 0, int? end]) → Uint8List
  Decodes the characters of `input` from `start` to `end` as base64. [...]
  override
fuse<TT>(Converter<List<int>, TT> other) → Converter<String, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
startChunkedConversion(Sink<List<int>> sink) → StringConversionSink
  Starts a chunked conversion. [...]
  override
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited